Bug 1574731 (CVE-2018-10540) - CVE-2018-10540 wavpack: out of bounds write in ParseWave64HeaderConfig in wave64.c
Summary: CVE-2018-10540 wavpack: out of bounds write in ParseWave64HeaderConfig in wav...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-10540
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1574720 1574721 1574723 1574732
Blocks: 1574733
TreeView+ depends on / blocked
 
Reported: 2018-05-03 21:50 UTC by Laura Pardo
Modified: 2019-09-29 14:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:05:18 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-05-03 21:50:13 UTC
An issue was discovered in WavPack 5.1.0 and earlier for W64 input. Out-of-bounds writes can occur because ParseWave64HeaderConfig in wave64.c does not validate the sizes of unknown chunks before attempting memory allocation, related to a lack of integer-overflow protection within a bytes_to_copy calculation and subsequent malloc call, leading to insufficient memory allocation.


References:
https://github.com/dbry/WavPack/issues/33

Patch:
https://github.com/dbry/WavPack/commit/6f8bb34c2993a48ab9afbe353e6d0cff7c8d821d

Comment 1 Laura Pardo 2018-05-03 21:51:43 UTC
Created mingw-wavpack tracking bugs for this issue:

Affects: epel-7 [bug 1574720]
Affects: fedora-all [bug 1574723]


Created wavpack tracking bugs for this issue:

Affects: fedora-all [bug 1574721]

Comment 3 Doran Moppert 2018-07-27 03:12:03 UTC
Wave64 support was added in WavPack 4.80+

Comment 4 Product Security DevOps Team 2019-07-12 13:05:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-10540


Note You need to log in before you can comment on or make changes to this bug.